<img src="https://homepage.univie.ac.at/michael.blaschek/img/logo_fgga.jpg" width="300px">
<img src="https://homepage.univie.ac.at/michael.blaschek/img/logo_img.png" width="300px">
<img src="https://homepage.univie.ac.at/michael.blaschek/img/rocket.png" width="100px">

# Welcome to the Department of Meteorologie and Geophysics
[@University of Vienna](https://univie.ac.at)

The Idea is to find help here with your computer/technical problems

Search with the top bar or go through the directories:

- Python related Problems
- SSH, VNC, VPN related Problems
- Editors and remote connection
- Data availability and location

If you care to participate please do so. Raise an Issue or give some feedback.

Missing solutions are very welcome.

[[_TOC_]]


# Information on the Jet Cluster

[Go to Description](Jet-Cluster.md)

### Architecture

| Name | Value |
| --- | --- |
| Product | ThinkSystem SR650 |
| Distro | RedHatEnterprise 8.2 Ootpa |
| Kernel | 4.18.0-147.el8.x86_64 GNU/Linux |
| Processor | Intel(R) Xeon(R) Gold 6148 CPU @ 2.40GHz |
| Cores | 2 CPU,  20 physical cores per CPU, total 80 logical CPU units |
| BaseBoard | Lenovo -\[7X06CTO1WW\]- Intel Corporation C624 Series Chipset |
| CPU Time | 350 kh |
| Memory | 755 GB Total |
| Memory/Core | 18.9 GB |
| Network | 40 Gbit/s (Infiniband) |


### Scientific Software
 - GNU compilers, Intel compilers, OpenMPI, HDF5, NetCDF, Eccodes, ...
 - Anaconda Python, Julia

```bash
>>> module av
---------------------------------- /jetfs/spack/share/spack/modules/linux-rhel8-skylake_avx512 -----------------------------------
anaconda2/2019.10-gcc-8.3.1-5pou6ji                         ncview/2.1.8-gcc-8.3.1-s2owtzw               
anaconda3/2019.10-gcc-8.3.1-tmy5mgp                         netcdf-c/4.7.4-gcc-8.3.1-fh4nn6k             
anaconda3/2020.07-gcc-8.3.1-weugqkf                         netcdf-c/4.7.4-intel-20.0.2-337uqtc          
cdo/1.9.8-gcc-8.3.1-ipgvzeh                                 netcdf-fortran/4.5.3-gcc-8.3.1-kfd2vkj       
eccodes/2.18.0-gcc-8.3.1-s7clum3                            netcdf-fortran/4.5.3-intel-20.0.2-irdm5gq    
eccodes/2.18.0-intel-20.0.2-6tadpgr                         netlib-lapack/3.8.0-gcc-8.3.1-ue37lic        
enstools/2020.11.dev-gcc-8.3.1-fes7kgo                      netlib-scalapack/2.1.0-gcc-8.3.1-pbkjymd     
gcc/8.3.1-gcc-8.3.1-pp3wjou                                 openblas/0.3.10-gcc-8.3.1-ncess5c            
geos/3.8.1-gcc-8.3.1-o76leir                                openmpi/3.1.6-gcc-8.3.1-rk5av53              
hdf5/1.12.0-gcc-8.3.1-awl4atl                               openmpi/3.1.6-intel-20.0.2-ubasrpk           
hdf5/1.12.0-intel-20.0.2-ezeotzr                            openmpi/4.0.5-gcc-8.3.1-773ztsv              
intel-mkl/2020.3.279-gcc-8.3.1-5xeezjw                      openmpi/4.0.5-intel-20.0.2-4wfaaz4           
intel-mkl/2020.3.279-intel-20.0.2-m7bxged                   parallel-netcdf/1.12.1-gcc-8.3.1-gng2jcu     
intel-parallel-studio/composer.2020.2-intel-20.0.2-zuot22y  parallel-netcdf/1.12.1-gcc-8.3.1-xxrhtxn     
julia/1.5.2-gcc-8.3.1-3iwgkf7                               parallel-netcdf/1.12.1-intel-20.0.2-sgz3yqs  
libemos/4.5.9-gcc-8.3.1-h3lqu2n                             proj/7.1.0-gcc-8.3.1-xcjaco5                 
miniconda2/4.7.12.1-gcc-8.3.1-zduqggv                       zlib/1.2.11-gcc-8.3.1-bbbpnzp                
miniconda3/4.8.2-gcc-8.3.1-3m7b6t2                          zlib/1.2.11-intel-20.0.2-3h374ov             
nco/4.9.3-gcc-8.3.1-jtokrle 
```

### JupyterHub
[JET01-Jupyterhub](https://jet01.img.univie.ac.at)

## Information on SRVX1 - Teach
Teaching and webaccess server

[Go to Description](SRVX1.md)

### Architecture
| Name | Value |
| --- | --- |
| Product | PowerEdge R720xd |
| Distro | CentOS 6.10 Final |
| Kernel | 2.6.32-754.29.2.el6.centos.plus.x86_64 GNU/Linux |
| Processor | Intel(R) Xeon(R) CPU E5-2690 0 @ 2.90GHz |
| Cores | 2 CPU,  8 physical cores per CPU, total 32 logical CPU units |
| BaseBoard | Dell Inc. 0C4Y3R Intel Corporation C600/X79 series chipset |
| CPU time | 140 kh |
| Memory | 190 GB Total |
| Memory/Core | 11.9 GB |
| Network | 10 Gbit/s |

### Scientific Software
 - GNU compilers, OpenMPI, HDF5, NetCDF, Eccodes, ...
 - Anaconda Python

```bash
>>> module av
------------- /home/opt/spack/share/spack/modules/linux-centos6-sandybridge -------------
anaconda3/2020.07-gcc-5.3.0  hdf5/1.10.7-gcc-5.3.0           openmpi/3.1.6-gcc-5.3.0  
eccodes/2.18.0-gcc-5.3.0     miniconda3/4.8.2-gcc-5.3.0      proj/7.1.0-gcc-5.3.0     
gcc/5.3.0-gcc-5.3.0          netcdf-c/4.7.4-gcc-5.3.0        zlib/1.2.11-gcc-5.3.0    
git/2.29.0-gcc-5.3.0         netcdf-fortran/4.5.3-gcc-5.3.0  
```

### JupyterHub
Direct Access: [Goto SRVX1-Jupyterhub](https://srvx1.img.univie.ac.at)

Follow the instructions to get access: [Instructions SRVX1-Teaching Hub](TeachingHub.md)

## Information on SRVX2 - Compute
Computing Node @UZA2

[Go to Description](SRVX2.md)

### Architecture
| Name | Value |
| --- | --- |
| Product | PowerEdge R940 |
| Distro | CentOS 8.2.2004 Core |
| Kernel | 4.18.0-147.el8.x86_64 GNU/Linux |
| Processor | Intel(R) Xeon(R) Gold 6148 CPU @ 2.40GHz |
| Cores | 4 CPU,  20 physical cores per CPU, total 160 logical CPU units |
| BaseBoard | Dell Inc. 0D41HC Intel Corporation C621 Series Chipset |
| CPU time | 700 kh | 
| Memory | 376 GB Total |
| Memory/Core | 9.4 GB |
### Software
 - GNU compilers, Intel compilers, OpenMPI, HDF5, NetCDF, Eccodes, ...
 - Anaconda Python

```bash
>>> module av
----------- /home/spack-root/share/spack/modules/linux-centos8-skylake_avx512 -----------
anaconda3/2020.07-gcc-8.3.1                         miniconda3/4.8.2-gcc-8.3.1         
eccodes/2.18.0-intel-20.0.2                         netcdf-c/4.7.4-gcc-8.3.1           
eccodes/2.19.1-gcc-8.3.1                            netcdf-c/4.7.4-intel-20.0.2        
eccodes/2.19.1-intel-20.0.2                         netcdf-fortran/4.5.3-gcc-8.3.1     
hdf5/1.10.7-gcc-8.3.1                               netcdf-fortran/4.5.3-intel-20.0.2  
hdf5/1.10.7-intel-20.0.2                            openmpi/3.1.6-gcc-8.3.1            
intel-parallel-studio/composer.2020.2-intel-20.0.2  openmpi/3.1.6-intel-20.0.2  
```
## Information on SRVX8 - Research
Researchers @UZA2 

[Go to Description](SRVX8.md)

### Architecture
| Name | Value |
| --- | --- |
| Product | PowerEdge R730xd |
| Distro | CentOS 6.10 Final |
| Kernel | 2.6.32-754.29.2.el6.centos.plus.x86_64 GNU/Linux |
| Processor | Intel(R) Xeon(R) CPU E5-2697 v3 @ 2.60GHz |
| Cores | 2 CPU,  14 physical cores per CPU, total 56 logical CPU units |
| BaseBoard | Dell Inc. 0599V5 Intel Corporation C610/X99 series chipset |
| CPU time | 245 kh |
| Memory | 504 GB Total |
| Memory/Core |  18 Gb |
| Network | 10 Gbit/s |
### Software
 - GNU compilers, OpenMPI, HDF5, NetCDF, Eccodes, ...
 - Anaconda Python
```bash
----------------- /opt/spack/share/spack/modules/linux-centos6-haswell/ -----------------
anaconda3/2020.07-gcc-5.3.0    netcdf-c/4.7.4-gcc-5.3.0
eccodes/2.18.0-gcc-5.3.0       netcdf-fortran/4.5.3-gcc-5.3.0
gcc/4.4.7-gcc-5.3.0            openmpi/3.1.6-gcc-5.3.0
gcc/5.3.0-gcc-5.3.0            proj/7.1.0-gcc-5.3.0
hdf5/1.10.7-gcc-5.3.0          python/3.8.5-gcc-5.3.0
miniconda3/4.8.2-gcc-5.3.0     zlib/1.2.11-gcc-5.3.0
```


## Information on VSC - Research
Researchers can use the private nodes at VSC-4.
 
Note:
> VSC Training Courses:
> https://vsc.ac.at/training




[Go to Description](VSC.md)

### Architecture
| Name | Value |
| --- | --- |
| Product | ? |
| Distro | CentOS 7.6 |
| Kernel | 3.10.0-957.el7.x86_64 |
| Processor | Intel(R) Xeon(R) Gold 6148 CPU @ 2.40GHz |
| Cores | 2 CPU, 20 physical cores per CPU, total 80 logical CPU units |
| BaseBoard | ? |
| CPU time | 2102 kh |
| Memory | 378 GB Total |
| Memory/Core |  13.5 Gb |
| Network | 10 Gbit/s |

### Software
 - GNU compilers, OpenMPI, HDF5, NetCDF, Eccodes (only GNU)
 - Anaconda Python
 - Matlab
 



